var sensationApp = angular.module('sensationApp');

// Home Data: Home page configuration
sensationApp.factory('Data', function(){
    var data = {};
    
    data.items = [
	        { 
            title: 'Banjara News',
			description: 'Latest Banjara news',
            image: 'images/icon/banjara-news.png',
            page: 'news/feeds.html'
        },
        { 
            title: 'Whatsapp',
			description: 'Top Banjara whatsapp groups massage',
            image: 'images/icon/goar-banjara-whasapp.png',
            page: 'news/whatsapp-posts.html'
        },
		{ 
            title: 'Community',
			description: 'Banjara history, culture,spiritual etc',
            image: 'images/icon/banjara-community.png',
            page: 'news/feed-categories.html'
        },
		{ 
            title: 'Raj Banjara',
			description: 'Banjara Hindi newspaper, Mumbai',
            image: 'images/icon/rajbanjara.png',
            page: 'news/rajbanjara-feeds.html'
        },
        { 
            title: 'GoarBanjara',
			description: 'Banjara online newsportal',
            image: 'images/icon/goarbanjara.png',
            page: 'news/goarbanjara-feeds.html'
        },
        { 
            title: 'Banjara Darpan',
			description: 'Banjara Magzine, Indore, MP',
            image: 'images/icon/banjara-darpan.png',
            page: 'news/banjaradarpan-feeds.html'
        },
        { 
            title: 'Banjara Pukar',
			description: 'Banjara Marathi newspaper, Nanded, Maharashtra',
            image: 'images/icon/banjara-pukar.png',
            page: 'news/banjarapukar-feeds.html'
        },
		{ 
            title: 'Banjara Chetna',
			description: 'Banjara Hindi magzine from Rajshthan',
            image: 'images/icon/banjara-chetna.png',
            page: 'news/banjarachetna-feeds.html'
        },
		{ 
            title: 'Banjara Bandhu',
			description: 'Banjara Kannada newspaper, Banglore, Karnatka',
            image: 'images/icon/banjara-bandhu.png',
            page: 'news/banjarabandhu-feeds.html'
        },
		{ 
            title: 'Goaar Jaagruti',
			description: 'Banjara News magzine, Rajshthan',
            image: 'images/icon/goaar-jaagruti-rj.png',
            page: 'news/goaarjagruti-feeds.html'
        },
		{ 
            title: 'Banjara Metrimony',
			description: 'All Banjara Metrimony portal',
            image: 'images/icon/banjara-matrimony.png',
            page: 'other/metrimony-cat.html'
        },
		{ 
            title: 'Jobs&Scheme',
			description: 'latest jobs, recreuments and Gov. Schemes',
            image: 'images/icon/jobs-scheme.png',
            page: 'other/jobs-scheme-feeds.html'
        },
		{ 
            title: 'Health',
			description: 'Banjara Trust, Parti, foundation',
            image: 'images/icon/health-icon.png',
            page: 'news/health-feeds.html'
        },
		{ 
            title: 'Banjara Youtube',
			description: 'Latest Banjara Video, Audeo gallary',
            image: 'images/icon/youtube-banjara.png',
            page: 'other/youtube-cat.html'
        }
    ]; 
	
    
    return data;
});



// RSS new single icon menu

sensationApp.factory('Menu3Data', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Ancient Banjara History',
			description: 'Written by Prof. Motiraj Rathod',
            image: 'images/icon/janjati-itihas-icon.png',
            page: 'news/ancient-historys.html'
        },
        { 
            title: 'Sant Sevalal Maharaj Biography',
			description: 'Sant Sevalal Maharaj Jivan Charitra writtern by Dr.N.Thakur Naik, MBBS, Ph.D.',
            image: 'images/icon/sevalal-maharaj-icon.png',
            page: 'news/sant-sevalal-historys.html'
        }

    ]; 
    
    return data;
});




// Banjara toggle Menu Data: Menu configuration
sensationApp.factory('MenuData', function(){
    var data = {};
    
    data.items = [
	        { 
            title: 'Home',
            icon: 'home',
            page: 'home-menu.html'
        },
        { 
            title: 'About us',
            icon: 'user',
            page: 'author/aboutus.html'
        },
        { 
            title: 'Contact us',
            icon: 'phone',
            page: 'author/contact2.html'
        },
		{ 
            title: 'Feedback',
            icon: 'file-text-o',
            page: 'author/contact.html'
        },
		{ 
            title: 'Shere App',
            icon: 'share-alt',
            page: 'author/shereapp.html'
        },
		{
		    title: 'Advertise',
            icon: 'globe',
            page: 'author/advrtse.html'
        }

    ]; 
    
    return data;
});

// Banjara External link End Importent link configuration



sensationApp.factory('BanjaraMenuextData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'sign-in',
            url: 'http://m.goarbanjara.com/wp-login.php'
        },
		{ 
            title: 'Update App',
            icon: 'download',
            url: 'https://play.google.com/store/apps/details?id=com.goarbanjara.banjara&hl=en'
        },
		{ 
            title: 'Visit Site',
            icon: 'globe',
            url: 'http://m.goarbanjara.com/'
        }
    ]; 
    
    return data;
});

// banjara End Importent link configuration

// Gallery Data: Gallery configuration
sensationApp.factory('GalleryData', function(){
    var data = {};
    
    data.items = [
        { 
            label: '',
            src: 'http://m.goarbanjara.com//feed/slide/slide1.jpg',
            location: ''
        },
        { 
            label: '',
           src: 'images/slide/slide2.jpg',
            location: ''
        },
        { 
            label: '',
            src: 'images/slide/slide3.jpg',
            location: ''
        }

    ]; 
    
    return data;
});



// News Data: JSON News configuration
sensationApp.factory('NewsData', function(){
    
    var data = { url: 'json/news.json', letterLimit: 100 };
    
    return data;
});

// News Data: JSON Latest News configuration
sensationApp.factory('LatestnewsData', function(){
    
    var data = { url: 'news/latest-news.json', letterLimit: 100 };
    
    return data;
});



// Metrimony Importent link configuration

sensationApp.factory('MetrimonyData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Banjara Matrimony',
            icon: 'globe',
            url: 'http://m.banjaramatrimony.com/cbsmob/'
        },
        { 
            title: 'Banjara Jeevansathi',
            icon: 'globe',
            url: 'http://www.banjara-jeevansathi.com'
        }
    ]; 
    
    return data;
});


// Ad Management Home Posts Data: JSON Wordpress Posts configuration
sensationApp.factory('AddmgtData', function(){
    
    /* (For DEMO purposes) Local JSON data */
    var data = { url: 'http://m.goarbanjara.com/category/ad-management/?json=1' };
    
    /* Set your URL as you can see in the following example */
    // var data = { url: 'http://classinfo.me/?cat=19&json=1' };
    
    /* With user-friendly permalinks configured */
    // var data = { url: 'http://classinfo.me/?p=66&json=1' };
    
    return data;
});


// Youtube Importent link configuration

sensationApp.factory('YoutubeData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Banjara Youtube Channel',
            icon: 'youtube',
            url: 'http://www.youtube.com/user/Goarmati/videos'
        },
        { 
            title: 'Banjara, Music, Audeos',
            icon: 'youtube',
            url: 'https://www.youtube.com/user/goarmatimp3'
        }
    ]; 
    
    return data;
});

// Youtube End Importent link configuration

// Jobs Importent link configuration

sensationApp.factory('JobsData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Govt. Employment News',
            image: 'images/icon/employment-news.png',
            url: 'http://employmentnews.gov.in/index.asp'
        },
		{ 
            title: 'Naukri',
            image: 'images/icon/noukri.png',
            url: 'http://www.naukri.com'
        },
		{ 
            title: 'TimesJobs',
            image: 'images/icon/timesjobs.png',
            url: 'http://www.timesjobs.com/'
        },
		{ 
            title: 'Shine',
            image: 'images/icon/shine-logo.png',
            url: 'http://www.shine.com/'
        },
        { 
            title: 'Monster',
            image: 'images/icon/mosnter-logo.png',
            url: 'http://www.monsterindia.com/'
        },
		{ 
            title: 'Clicksjobs',
            image: 'images/icon/clikcsjobs.png',
            url: 'http://www.clickjobs.com/'
        }
    ]; 
    
    return data;
});

// Jobs End Importent link configuration



// Posts Data: JSON Wordpress Posts configuration
sensationApp.factory('PostsData', function(){
    /* With user-friendly permalinks configured */ 
    var data = { url: 'http://m.goarbanjara.com/category/news/whatsapp/?json=1' };
    
    /* (For DEMO purposes) Local JSON data */
    //var data = { url: 'json/wordpress.json' };
    
    /* Set your URL as you can see in the following example  http://m.goarbanjara.com/tag/whatsapp/?json=1 */
    // var data = { url: 'YourWordpressURL/?json=get_recent_posts' };
    
    /* With user-friendly permalinks configured */ http://m.goarbanjara.com/tag/latest/?json=1
    // var data = { url: 'YourWordpressURL/api/get_recent_posts' };
    
    return data;
});

// Banjara Latest updates Data: JSON Wordpress Posts configuration
sensationApp.factory('LatestupdatesData', function(){
    /* With user-friendly permalinks configured */  
    var data = { url: 'http://m.goarbanjara.com/category/news/latestfeed/?json=1' }; 
    
    /* (For DEMO purposes) Local JSON data */
    //var data = { url: 'json/wordpress.json' };
    
    /* Set your URL as you can see in the following example  http://m.goarbanjara.com/tag/whatsapp/?json=1 */
    // var data = { url: 'http://m.goarbanjara.com/api/get_recent_posts/' };
    
    /* With user-friendly permalinks configured */ http://m.goarbanjara.com/tag/latest/?json=1
    // var data = { url: 'YourWordpressURL/api/get_recent_posts' };
    
    return data;
});


// Latest news RSS Feed Data: Feeds configuration
// feed link  http://m.goarbanjara.com/category/news/feed/
sensationApp.factory('FeedData', function(){
    
    var data = { url: 'http://feeds.feedburner.com/all-banjara-news' };
    
    return data;
});


// Goar Banjara RSS Data: Feeds (2) configuration
sensationApp.factory('Feed2Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/goar-banjara/feed/' };
    
    return data;
});

// Raj Banjara RSS Data: Feeds configuration
sensationApp.factory('Feed3Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/rajbanjara/feed/' };
    
    return data;
});

// Banjara Pukar RSS Data: Feeds configuration
sensationApp.factory('Feed4Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/banjara-pukar/feed/' };
    
    return data;
});

// Banjara Darpan RSS Data: Feeds configuration http://m.goarbanjara.com/category/news/banjara-darpan/feed/
sensationApp.factory('Feed5Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/banjara-darpan/feed/' };
    
    return data;
});

// Banjara Bandhu RSS Data: Feeds configuration
sensationApp.factory('Feed6Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/banjara-bandhu/feed/' };
    
    return data;
});

// Banjara Chetna RSS Data: Feeds configuration
sensationApp.factory('Feed7Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/banjara-chetna/feed/' };
    
    return data;
});

// Banjara Goaar Jagruti RSS Data: Feeds configuration
sensationApp.factory('Feed8Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/goaar-jagruti/feed/' };
    
    return data;
});

// Ancient Banjara History RSS Data: Feeds configuration
sensationApp.factory('Feed9Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/feed/ancient-banjaa-history.rss' };
    
    return data;
});

// Sant sevalal maharaj biograpy History RSS Data: Feeds configuration
sensationApp.factory('Feed10Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/feed/sant-sevalal-history.rss' };
    
    return data;
});

// Health Tips RSS Data: Feeds configuration
sensationApp.factory('Feed11Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/article/health/feed/' };
    
    return data;
});

// Jobs & Scheme RSS Data: Feeds configuration
sensationApp.factory('Feed12Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/jobs-scheme/feed/' };
    
    return data;
});


// Youtube Feed RSS Data: Feeds configuration
sensationApp.factory('Feed13Data', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/banjara/kalakar-manch/videos/feed/' };
    
    return data;
});


// Goaar Jagruti RSS Data: Feeds configuration
sensationApp.factory('GoaarjagrutiData', function(){
    
    var data = { url: 'http://m.goarbanjara.com/category/news/rajbanjara/feed/' };
    
    return data;
});


// FEED Data Structure: JSON FEED API Data Structure configuration
sensationApp.factory('FeedPluginData', function(){
    
    var data = { url: 'news/banjara-cm-rss-structure.json' };
	//var data = { url: 'news/banjara-rss-structure.json' };
    
    return data;
});



